> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heyhumm.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Table Column Descriptions

> Generate AI-powered descriptions for all columns in a table.

Analyzes column metadata and sample data to generate concise,
agent-optimized descriptions for columns that don't have them
(or all columns if overwrite_existing is True).



## OpenAPI

````yaml https://config.heyhumm.ai/api/openapi.json post /api/integration-sources/{source_id}/databases/{database_id}/schemas/{schema_id}/tables/{table_id}/generate-column-descriptions
openapi: 3.1.0
info:
  title: Configuration API
  description: >-
    API for managing configuration and queues for various services. This service
    consolidates the API functionality previously provided by dd_rag_api and
    code_rag_api.
  version: 1.0.0
servers:
  - url: https://config.heyhumm.ai
security: []
paths:
  /api/integration-sources/{source_id}/databases/{database_id}/schemas/{schema_id}/tables/{table_id}/generate-column-descriptions:
    post:
      tags:
        - Integration Sources
      summary: Generate Table Column Descriptions
      description: |-
        Generate AI-powered descriptions for all columns in a table.

        Analyzes column metadata and sample data to generate concise,
        agent-optimized descriptions for columns that don't have them
        (or all columns if overwrite_existing is True).
      operationId: >-
        generate_table_column_descriptions_api_integration_sources__source_id__databases__database_id__schemas__schema_id__tables__table_id__generate_column_descriptions_post
      parameters:
        - name: source_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Source Id
        - name: database_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Database Id
        - name: schema_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Schema Id
        - name: table_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Table Id
        - name: organization_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Organization Id
        - name: resource_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Resource Id
        - name: integration_source_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Integration Source Id
        - name: data_source_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Data Source Id
        - name: context_source_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Context Source Id
        - name: job_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Job Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GenerateColumnDescriptionsRequest'
              default:
                overwrite_existing: false
                include_inactive: false
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
        - HTTPBearer: []
components:
  schemas:
    GenerateColumnDescriptionsRequest:
      properties:
        overwrite_existing:
          type: boolean
          title: Overwrite Existing
          description: Regenerate descriptions for columns that already have them
          default: false
        include_inactive:
          type: boolean
          title: Include Inactive
          description: Include inactive columns
          default: false
      type: object
      title: GenerateColumnDescriptionsRequest
      description: Request for bulk column description generation.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````